Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Big gap between icons #1

Open
giovannicaligaris opened this issue Aug 10, 2018 · 16 comments

Comments

@giovannicaligaris
Copy link

@giovannicaligaris giovannicaligaris commented Aug 10, 2018

I've been trying to find a solution to this for a while but I can't seem to find one.

In Loki the icons are well spaced

loki_a

In Juno, the legacy icons have a big gap in between icons.

screenshot from 2018-08-10 16 29 34

Does anyone know how to fix it?

@icex

This comment has been minimized.

Copy link

@icex icex commented Aug 13, 2018

Hi,

Try setting the padding to '0 2px' in your theme -> apps.css

In my case I use https://github.com/surajmandalcell/elementary-x :
/usr/share/themes/elementary-x/gtk-3.22/apps.css

.composited-indicator {
    padding: 0 2px;
}

Then set your theme to something else and then back again to make sure the changes are refreshed(or restart/log out)

screenshot from 2018-08-13 22-27-36

@giovannicaligaris

This comment has been minimized.

Copy link
Author

@giovannicaligaris giovannicaligaris commented Aug 13, 2018

@icex You are a genius, thank you!

@giovannicaligaris

This comment has been minimized.

Copy link
Author

@giovannicaligaris giovannicaligaris commented Aug 13, 2018

@icex is there a way to add the apps.css to ~./themes? I am afraid that every update elementary-themes gets will break go back to the default settings.

@icex

This comment has been minimized.

Copy link

@icex icex commented Aug 13, 2018

I think you can copy /usr/share/themes/elementary to .themes/someothername , change the apps.css, then set the theme name to someothername

@mdh34

This comment has been minimized.

Copy link
Owner

@mdh34 mdh34 commented Aug 15, 2018

This could alternatively be fixed by shipping some css within the wingpanel indicator itself

@drequivalent

This comment has been minimized.

Copy link

@drequivalent drequivalent commented Oct 2, 2018

This could alternatively be fixed by shipping some css within the wingpanel indicator itself

Yeah, please do so

However, editing .composited-indicator padding changes all indicators padding, including system ones which are fine. Can we edit only Ayatana indicators padding?

@retrowiseninja

This comment has been minimized.

Copy link

@retrowiseninja retrowiseninja commented May 3, 2019

This could alternatively be fixed by shipping some css within the wingpanel indicator itself

Yeah, please do so

However, editing .composited-indicator padding changes all indicators padding, including system ones which are fine. Can we edit only Ayatana indicators padding?

Ayatna indicators having the same default padding. That would be great

@marcussacana

This comment has been minimized.

Copy link

@marcussacana marcussacana commented Oct 27, 2019

Not worked to me...

@marcussacana

This comment has been minimized.

Copy link

@marcussacana marcussacana commented Oct 27, 2019

Okay, I tried the community fork, and builded by myself, here is the git, and if you don't want build:
1 - Install the wingpanel indicator .deb here (the same deb in the link of this git)
2 - Download libayatana_compatibility.so.zip
3 - Go To (with sudo) /usr/lib/x86_64-linux-gnu/wingpanel/
4 - Backup your libayatana_compatibility.so
5 - Replace the libayatana_compatibility.so with the zipped one
6 - Reboot

Before:
image
After:
image

PS: I'm using the JUNO

@WebShapedBiz

This comment has been minimized.

Copy link

@WebShapedBiz WebShapedBiz commented Nov 1, 2019

Thank you @marcussacana for this fix, especially because it seems that the wingpanel from the version 2.2.6 is completely ignoring .composited-indicator selector.

Would you though reconsider leaving the size of ayatana indicator icons as they were before? I've noticed that they are smaller now but the height of the wingpanel is the same so there is no actual gain for having them smaller.

Once again, thank you for your time and effort with this fix.

Cheers.

@marcussacana

This comment has been minimized.

Copy link

@marcussacana marcussacana commented Nov 1, 2019

@WebShapedBiz As you asked, I did a build that don't change the icon size, here:
libayatana_compatibility.so.zip
I think this time I don't need say how you install it.

Before:
image
After:
image

@WebShapedBiz

This comment has been minimized.

Copy link

@WebShapedBiz WebShapedBiz commented Nov 1, 2019

Just awesome @marcussacana, you're golden.

@mobdiz

This comment has been minimized.

Copy link

@mobdiz mobdiz commented Nov 7, 2019

Hi,

Try setting the padding to '0 2px' in your theme -> apps.css

In my case I use https://github.com/surajmandalcell/elementary-x :
/usr/share/themes/elementary-x/gtk-3.22/apps.css

.composited-indicator {
    padding: 0 2px;
}

Then set your theme to something else and then back again to make sure the changes are refreshed(or restart/log out)

screenshot from 2018-08-13 22-27-36

Now it does not work. Maybe something has changed during the upgrade.

@marcussacana

This comment has been minimized.

Copy link

@marcussacana marcussacana commented Nov 7, 2019

@mobdiz try my method

@mobdiz

This comment has been minimized.

Copy link

@mobdiz mobdiz commented Nov 7, 2019

@mobdiz try my method

@marcussacana Thank you very much. Helped. It will not break after the upgrade?

@marcussacana

This comment has been minimized.

Copy link

@marcussacana marcussacana commented Nov 7, 2019

we never know what a update will break.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
8 participants
You can’t perform that action at this time.